require "crypto/bcrypt/password"
require "jennifer/model/authentication"

module ContainerMom::Models
  class User < Jennifer::Model::Base
    with_timestamps

    mapping(
      id: Primary64,
      email: String,
      name: String?,
      created_at: Time?,
      updated_at: Time?
      # Add other fields as needed
    )

    has_many :api_tokens, ApiToken
    # Add other relationships as needed
  end
end
